﻿namespace Connected.ServiceModel.Client.Data.Schema;
internal class SynchronizationTransaction : SynchronizationCommand
{
	protected SchemaExecutionContext Context { get; private set; }

	public async Task Execute(SchemaExecutionContext context)
	{
		Context = context;

		await OnExecute();
	}

	protected virtual async Task OnExecute()
	{
		await Task.CompletedTask;
	}
}
