﻿using Connected.Annotations;
using Connected.ServiceModel.Storage;
using Microsoft.Extensions.DependencyInjection;

[assembly: MicroService(MicroServiceType.Provider)]

namespace Connected.ServiceModel.Client.Storage;

internal class Bootstrapper : Startup
{
	protected override void OnConfigureServices(IServiceCollection services)
	{
		services.AddScoped(typeof(IStorageService), typeof(StorageService));
	}
}
