﻿using System.Collections.Immutable;
using Connected.ServiceModel.Storage;
using Connected.Services;

namespace Connected.ServiceModel.Client.Storage;

internal class StorageService : Service, IStorageService
{
	public StorageService(IContext context) : base(context)
	{
	}

	public async Task DeleteDirectory(DeleteDirectoryArgs args)
	{
		await Invoke(GetOperation<DeleteDirectory>(), args);
	}

	public Task DeleteFile(DeleteFileArgs args)
	{
		throw new NotImplementedException();
	}

	public Task InsertDirectory(InsertDirectoryArgs args)
	{
		throw new NotImplementedException();
	}

	public Task MoveFile(MoveFileArgs args)
	{
		throw new NotImplementedException();
	}

	public Task<ImmutableList<IDirectory>?> QueryDirectories(DirectoryArgs args)
	{
		throw new NotImplementedException();
	}

	public Task<ImmutableList<IFile>?> QueryFiles(DirectoryArgs args)
	{
		throw new NotImplementedException();
	}

	public Task<byte[]?> SelectFile(FileArgs args)
	{
		throw new NotImplementedException();
	}

	public Task UpdateDirectory(UpdateDirectoryArgs args)
	{
		throw new NotImplementedException();
	}

	public Task UpdateFile(UpdateFileArgs args)
	{
		throw new NotImplementedException();
	}
}
